نیم بها شدن ااینترنت تاپ لرن


  • 1401/09/11

خطای متفاوت ران کردن asset در قسمت 130 ام :

با سلام خدمت استاد عزیز

در قسمت 130 ام اموزش پروژه محور جامع لاراول در مورد موارد اختلاف ورژن 6 با 5.8 یه پروژه ایجاد میکنیم با لاراول 6 و میخایم با npm فایل های asset رو رندر کنیم که در سیستم من که از nodejs با ورژن 18.12.1 (نسخه lts ,stable), npm با ورژن 9.1.3 بهره میبره خطای ذکر شده رو میده که توی چندتا سایت نوشته باید نسخه 16 نود نصب بشه در حالی که به نظرم غیر منطقی اومد دو نسخه به قبل برگردونمش

Error: error:0308010C:digital envelope routines::unsupported
    at new Hash (node:internal/crypto/hash:71:19)
    at Object.createHash (node:crypto:133:10)
    at module.exports (C:\xampp\htdocs\laravel69\node_modules\webpack\lib\util\createHash.js:135:53)
    at NormalModule._initBuildHash (C:\xampp\htdocs\laravel69\node_modules\webpack\lib\NormalModule.js:417:16)       
  reason: 'unsupported',
  code: 'ERR_OSSL_EVP_UNSUPPORTED'
}ا

این خطا در هنگام نوشتن دستور npm run dev بوجود میاد که قبلش هم با دستور npm install نصب کردم و پوشه node_modules با پکیج های درونش ایجاد شده...

خیلی ممنون میشم راهنمایی بفرمایید

  • 1401/09/13
  • ساعت 16:01

با سلام خدمت شما همراه گرانقدر

 

اگر منظورتون استفاده از بخش mix هست در لاراول ورژن جدید کامل عوض شده

 

با تشکر از همراهی شما


  • 1401/09/14
  • ساعت 12:53

من با لاراول میکس کاری ندارم من فقط پکیج laravel/ui رو نصب کردم و دستور ایجلد auth به روش vue رو زدم و پس از npm install دستور npm run dev رو زدم که ویو های auth رو درست نشون بده که توی ویدیوی شما هیچ مشکلی نداره ولی در سیستم من مشکل داره. که با تغییر نسخه نود از ۱۸ به ۱۶ مشکل حل شد.


  • 1401/09/15
  • ساعت 12:33

بسیار هم عالی

 مشکل حل شد پس


logo-samandehilogo-anjoman-senfi